Debian Bug report logs - #329644
libnetaddr-ip-perl: New upstream release

version graph

Package: libnetaddr-ip-perl; Maintainer for libnetaddr-ip-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libnetaddr-ip-perl is src:libnetaddr-ip-perl.

Reported by: Florian Ragwitz <florian.ragwitz@s2004.tu-chemnitz.de>

Date: Thu, 22 Sep 2005 13:33:38 UTC

Severity: wishlist

Tags: patch

Fixed in version libnetaddr-ip-perl/4.007-1

Done: Gunnar Wolf <gwolf@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, florian.ragwitz@s2004.tu-chemnitz.de, Elie Rosenblum <fnord@debian.org>:
Bug#329644; Package libnetaddr-ip-perl. Full text and rfc822 format available.

Acknowledgement sent to Florian Ragwitz <florian.ragwitz@s2004.tu-chemnitz.de>:
New Bug report received and forwarded. Copy sent to florian.ragwitz@s2004.tu-chemnitz.de, Elie Rosenblum <fnord@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Florian Ragwitz <florian.ragwitz@s2004.tu-chemnitz.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libnetaddr-ip-perl: New upstream release
Date: Thu, 22 Sep 2005 15:15:51 +0200
Package: libnetaddr-ip-perl
Severity: wishlist

Hello,

3.25 is on CPAN. Please update your package.

TIA,
Flo

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.13
Locale: LANG=C, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)



Information forwarded to debian-bugs-dist@lists.debian.org, Elie Rosenblum <fnord@debian.org>:
Bug#329644; Package libnetaddr-ip-perl. Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Copy sent to Elie Rosenblum <fnord@debian.org>. Full text and rfc822 format available.

Message #10 received at 329644@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: Elie Rosenblum <fnord@debian.org>
Cc: 329644@bugs.debian.org
Subject: Re: libnetaddr-ip-perl: New upstream release
Date: Mon, 01 May 2006 00:04:38 +0200
Hello,

I have prepared new libnetaddr-ip-perl package.


Please consider to upload my package!


You can find that package here:
http://jonas.capi2name.de/debian-upload/libnetaddr-ip-perl/



Greets,
	Jonas



Information forwarded to debian-bugs-dist@lists.debian.org, Elie Rosenblum <fnord@debian.org>:
Bug#329644; Package libnetaddr-ip-perl. Full text and rfc822 format available.

Acknowledgement sent to Julian Mehnle <julian@mehnle.net>:
Extra info received and forwarded to list. Copy sent to Elie Rosenblum <fnord@debian.org>. Full text and rfc822 format available.

Message #15 received at 329644@bugs.debian.org (full text, mbox):

From: Julian Mehnle <julian@mehnle.net>
To: 329644@bugs.debian.org
Subject: Re: libnetaddr-ip-perl: New upstream release
Date: Sun, 23 Jul 2006 20:42:43 +0000
[Message part 1 (text/plain, inline)]
3.33 is available on CPAN.

I made an updated Debian package based on the updates in Jonas Genannt's 
3.28 package:

  http://files.mehnle.net/software/debian/libnetaddr-ip-perl/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Elie Rosenblum <fnord@debian.org>:
Bug#329644; Package libnetaddr-ip-perl. Full text and rfc822 format available.

Acknowledgement sent to Julian Mehnle <julian@mehnle.net>:
Extra info received and forwarded to list. Copy sent to Elie Rosenblum <fnord@debian.org>. Full text and rfc822 format available.

Message #20 received at 329644@bugs.debian.org (full text, mbox):

From: Julian Mehnle <julian@mehnle.net>
To: 329644@bugs.debian.org
Subject: Re: Bug#329644: libnetaddr-ip-perl: New upstream release
Date: Wed, 2 Aug 2006 22:18:49 +0000
[Message part 1 (text/plain, inline)]
Julian Mehnle wrote:
> 3.33 is available on CPAN.
>
> I made an updated Debian package based on the updates in Jonas Genannt's
> 3.28 package:

Incidentally, NetAddr::IP 4.001 has been released on CPAN today.  This is a 
major update, as it now includes NetAddr::IP::Lite (and thus XS code) and 
fully supports IPv6.

I again made an updated Debian package:

  http://files.mehnle.net/software/debian/libnetaddr-ip-perl/

Due to the XS code, the package is now an arch-any (vs. all) package.  Take 
care of that when uploading it!
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Elie Rosenblum <fnord@debian.org>:
Bug#329644; Package libnetaddr-ip-perl. Full text and rfc822 format available.

Acknowledgement sent to Julian Mehnle <julian@mehnle.net>:
Extra info received and forwarded to list. Copy sent to Elie Rosenblum <fnord@debian.org>. Full text and rfc822 format available.

Message #25 received at 329644@bugs.debian.org (full text, mbox):

From: Julian Mehnle <julian@mehnle.net>
To: 329644@bugs.debian.org
Subject: Re: Bug#329644: libnetaddr-ip-perl: New upstream release
Date: Fri, 5 Jan 2007 22:35:02 +0000
[Message part 1 (text/plain, inline)]
FYI, I updated the package in my HTTP directory to the 4.004 upstream 
version.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Elie Rosenblum <fnord@debian.org>:
Bug#329644; Package libnetaddr-ip-perl. Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <l.bigonville@edpnet.be>:
Extra info received and forwarded to list. Copy sent to Elie Rosenblum <fnord@debian.org>. Full text and rfc822 format available.

Message #30 received at 329644@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <l.bigonville@edpnet.be>
To: Julian Mehnle <julian@mehnle.net>
Cc: 329644@bugs.debian.org, mia@qa.debian.org
Subject: Re: libnetaddr-ip-perl: New upstream release
Date: Sat, 21 Apr 2007 18:58:09 +0200
[Message part 1 (text/plain, inline)]
Hi,

Do you have any plan to do a NMU (or even hijack the package) since Elie
Rosenblum seems to be MIA (no upload since 2004)?

Regards

Laurent Bigonville

CC: to mia@qa.debian.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Elie Rosenblum <fnord@debian.org>:
Bug#329644; Package libnetaddr-ip-perl. Full text and rfc822 format available.

Acknowledgement sent to Rene Mayorga <rmayorga@debian.org.sv>:
Extra info received and forwarded to list. Copy sent to Elie Rosenblum <fnord@debian.org>. Full text and rfc822 format available.

Message #35 received at 329644@bugs.debian.org (full text, mbox):

From: Rene Mayorga <rmayorga@debian.org.sv>
To: 329644@bugs.debian.org
Cc: control@bugs.debian.org
Subject: New Upstream version - patch
Date: Wed, 20 Jun 2007 20:13:22 -0600
[Message part 1 (text/plain, inline)]
tags 329644 + patch
thanks

Hi,

I make a patch to upgrade the package to the last upsteam version.
the patch could be a NMU if someone wants to NMUed the package would be
nice.

Cheers
-- 
Rene Mauricio Mayorga   |          GPG: A209C305
http://rmayorga.org     |          
--------------------------------------------------
08B6 58AB A691 DD56 C30B  8D37 8040 19FA A209 C305
[libnetaddr-new-upstream-nmu.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Rene Mayorga <rmayorga@debian.org.sv> to control@bugs.debian.org. (Thu, 21 Jun 2007 02:15:03 GMT) Full text and rfc822 format available.

Reply sent to Gunnar Wolf <gwolf@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Florian Ragwitz <florian.ragwitz@s2004.tu-chemnitz.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #42 received at 329644-close@bugs.debian.org (full text, mbox):

From: Gunnar Wolf <gwolf@debian.org>
To: 329644-close@bugs.debian.org
Subject: Bug#329644: fixed in libnetaddr-ip-perl 4.007-1
Date: Thu, 28 Jun 2007 17:02:02 +0000
Source: libnetaddr-ip-perl
Source-Version: 4.007-1

We believe that the bug you reported is fixed in the latest version of
libnetaddr-ip-perl, which is due to be installed in the Debian FTP archive:

libnetaddr-ip-perl_4.007-1.diff.gz
  to pool/main/libn/libnetaddr-ip-perl/libnetaddr-ip-perl_4.007-1.diff.gz
libnetaddr-ip-perl_4.007-1.dsc
  to pool/main/libn/libnetaddr-ip-perl/libnetaddr-ip-perl_4.007-1.dsc
libnetaddr-ip-perl_4.007-1_i386.deb
  to pool/main/libn/libnetaddr-ip-perl/libnetaddr-ip-perl_4.007-1_i386.deb
libnetaddr-ip-perl_4.007.orig.tar.gz
  to pool/main/libn/libnetaddr-ip-perl/libnetaddr-ip-perl_4.007.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 329644@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gunnar Wolf <gwolf@debian.org> (supplier of updated libnetaddr-ip-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 28 Jun 2007 11:28:58 -0500
Source: libnetaddr-ip-perl
Binary: libnetaddr-ip-perl
Architecture: source i386
Version: 4.007-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Gunnar Wolf <gwolf@debian.org>
Description: 
 libnetaddr-ip-perl - Manipulate IP Addresses easily
Closes: 329644
Changes: 
 libnetaddr-ip-perl (4.007-1) unstable; urgency=low
 .
   [ Julian Mehnle ]
   * New upstream release (closes: #329644).
   * Architecture: any (was: all), as this package now includes XS code.
   * Standards-Version: 3.7.2
   * Build-Depends: libtest-pod-perl
   * Build-Depends: debhelper (was: Build-Depends-Indep:)
   * Raised debhelper compatibility level to 5, adjusted Build-Depends.
   * Updated debian/rules to latest dh-make-perl template.
   * Run tests during package building.
   * Generate perlapi and libc6 dependencies using dh_shlibdeps.
   * Conflicts: libnetaddr-ip-lite-perl, as NetAddr::IP::Lite is now included
     in this package.
   * Updated package description.
   * Updated debian/copyright with additional upstream author and new warranty
     statement.
   * Install all upstream README files and changelogs.
   * Added debian/{compat,watch} files.
   * Minor changes to NetAddr::IP{,::Lite} POD code to correctly represent the
     author names in the generated man-pages.
 .
   [ Gunnar Wolf ]
   * Hijacking module on behalf of the Debian Pkg-perl group (previous
     maintainer MIA)
Files: 
 e5e97ec5710a0b8c384fd92866310e22 820 perl optional libnetaddr-ip-perl_4.007-1.dsc
 21825dc072e688f733e03da24e4d058b 97502 perl optional libnetaddr-ip-perl_4.007.orig.tar.gz
 581ccd7ba4b6e52423e0eee0e0aeae6e 3579 perl optional libnetaddr-ip-perl_4.007-1.diff.gz
 65b7561327848eae9be5f20aa97990f2 99584 perl optional libnetaddr-ip-perl_4.007-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGg+VZ2A7zWou1J68RAqAkAJ9o7NJZCDNGwkAcFlYDdgF2dRiVRQCcDqwv
K5r2+Vj/E90WgYwpFFpMX3k=
=ZAdJ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 31 Jul 2007 07:26:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:30:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.